<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.16 build 0813.1608
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace ZOOlanders\YOOessentials\Source\GraphQL;

abstract class AbstractQueryType extends AbstractType implements TypeInterface
{
    public function type(): string
    {
        return TypeInterface::TYPE_QUERY;
    }

    public function label(): string
    {
        return $this->source()->name();
    }
}
